Makefile.in 12 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436
  1. # Makefile.in generated by automake 1.9.5 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. #
  14. # ngIRCd -- The Next Generation IRC Daemon
  15. # Copyright (c)2001,2002 by Alexander Barton (alex@barton.de)
  16. #
  17. # Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  18. # der GNU General Public License (GPL), wie von der Free Software Foundation
  19. # herausgegeben, weitergeben und/oder modifizieren, entweder unter Version 2
  20. # der Lizenz oder (wenn Sie es wuenschen) jeder spaeteren Version.
  21. # Naehere Informationen entnehmen Sie bitter der Datei COPYING. Eine Liste
  22. # der an ngIRCd beteiligten Autoren finden Sie in der Datei AUTHORS.
  23. #
  24. # $Id: Makefile.am,v 1.18 2008/02/17 13:26:42 alex Exp $
  25. #
  26. srcdir = @srcdir@
  27. top_srcdir = @top_srcdir@
  28. VPATH = @srcdir@
  29. pkgdatadir = $(datadir)/@PACKAGE@
  30. pkglibdir = $(libdir)/@PACKAGE@
  31. pkgincludedir = $(includedir)/@PACKAGE@
  32. top_builddir = ../..
  33. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  34. INSTALL = @INSTALL@
  35. install_sh_DATA = $(install_sh) -c -m 644
  36. install_sh_PROGRAM = $(install_sh) -c
  37. install_sh_SCRIPT = $(install_sh) -c
  38. INSTALL_HEADER = $(INSTALL_DATA)
  39. transform = $(program_transform_name)
  40. NORMAL_INSTALL = :
  41. PRE_INSTALL = :
  42. POST_INSTALL = :
  43. NORMAL_UNINSTALL = :
  44. PRE_UNINSTALL = :
  45. POST_UNINSTALL = :
  46. build_triplet = @build@
  47. host_triplet = @host@
  48. target_triplet = @target@
  49. subdir = src/testsuite
  50. DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
  51. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  52. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  53. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  54. $(ACLOCAL_M4)
  55. mkinstalldirs = $(install_sh) -d
  56. CONFIG_HEADER = $(top_builddir)/src/config.h
  57. CONFIG_CLEAN_FILES =
  58. SOURCES =
  59. DIST_SOURCES =
  60. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  61. ACLOCAL = @ACLOCAL@
  62. AMDEP_FALSE = @AMDEP_FALSE@
  63. AMDEP_TRUE = @AMDEP_TRUE@
  64. AMTAR = @AMTAR@
  65. AUTOCONF = @AUTOCONF@
  66. AUTOHEADER = @AUTOHEADER@
  67. AUTOMAKE = @AUTOMAKE@
  68. AWK = @AWK@
  69. CC = @CC@
  70. CCDEPMODE = @CCDEPMODE@
  71. CFLAGS = @CFLAGS@
  72. CPP = @CPP@
  73. CPPFLAGS = @CPPFLAGS@
  74. CYGPATH_W = @CYGPATH_W@
  75. DEFS = @DEFS@
  76. DEPDIR = @DEPDIR@
  77. ECHO_C = @ECHO_C@
  78. ECHO_N = @ECHO_N@
  79. ECHO_T = @ECHO_T@
  80. EGREP = @EGREP@
  81. EXEEXT = @EXEEXT@
  82. INSTALL_DATA = @INSTALL_DATA@
  83. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  84. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  85. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  86. LDFLAGS = @LDFLAGS@
  87. LIBOBJS = @LIBOBJS@
  88. LIBS = @LIBS@
  89. LN_S = @LN_S@
  90. LTLIBOBJS = @LTLIBOBJS@
  91. MAKEINFO = @MAKEINFO@
  92. OBJEXT = @OBJEXT@
  93. PACKAGE = @PACKAGE@
  94. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  95. PACKAGE_NAME = @PACKAGE_NAME@
  96. PACKAGE_STRING = @PACKAGE_STRING@
  97. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  98. PACKAGE_VERSION = @PACKAGE_VERSION@
  99. PATH_SEPARATOR = @PATH_SEPARATOR@
  100. RANLIB = @RANLIB@
  101. SET_MAKE = @SET_MAKE@
  102. SHELL = @SHELL@
  103. STRIP = @STRIP@
  104. U = @U@
  105. VERSION = @VERSION@
  106. ac_ct_CC = @ac_ct_CC@
  107. ac_ct_RANLIB = @ac_ct_RANLIB@
  108. ac_ct_STRIP = @ac_ct_STRIP@
  109. am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  110. am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  111. am__include = @am__include@
  112. am__leading_dot = @am__leading_dot@
  113. am__quote = @am__quote@
  114. am__tar = @am__tar@
  115. am__untar = @am__untar@
  116. bindir = @bindir@
  117. build = @build@
  118. build_alias = @build_alias@
  119. build_cpu = @build_cpu@
  120. build_os = @build_os@
  121. build_vendor = @build_vendor@
  122. datadir = @datadir@
  123. exec_prefix = @exec_prefix@
  124. host = @host@
  125. host_alias = @host_alias@
  126. host_cpu = @host_cpu@
  127. host_os = @host_os@
  128. host_vendor = @host_vendor@
  129. includedir = @includedir@
  130. infodir = @infodir@
  131. install_sh = @install_sh@
  132. libdir = @libdir@
  133. libexecdir = @libexecdir@
  134. localstatedir = @localstatedir@
  135. mandir = @mandir@
  136. mkdir_p = @mkdir_p@
  137. oldincludedir = @oldincludedir@
  138. prefix = @prefix@
  139. program_transform_name = @program_transform_name@
  140. sbindir = @sbindir@
  141. sharedstatedir = @sharedstatedir@
  142. sysconfdir = @sysconfdir@
  143. target = @target@
  144. target_alias = @target_alias@
  145. target_cpu = @target_cpu@
  146. target_os = @target_os@
  147. target_vendor = @target_vendor@
  148. AUTOMAKE_OPTIONS = ../portab/ansi2knr
  149. INCLUDES = -I$(srcdir)/../portab
  150. EXTRA_DIST = \
  151. README functions.inc getpid.sh \
  152. start-server.sh stop-server.sh tests.sh stress-server.sh \
  153. test-loop.sh wait-tests.sh \
  154. channel-test.e connect-test.e check-idle.e misc-test.e mode-test.e \
  155. who-test.e stress-A.e stress-B.e \
  156. ngircd-test.conf
  157. check_SCRIPTS = ngircd-TEST-Binary tests.sh
  158. TESTS = start-server.sh \
  159. connect-test \
  160. channel-test \
  161. misc-test \
  162. mode-test \
  163. who-test \
  164. stress-server.sh \
  165. stop-server.sh
  166. all: all-am
  167. .SUFFIXES:
  168. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  169. @for dep in $?; do \
  170. case '$(am__configure_deps)' in \
  171. *$$dep*) \
  172. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
  173. && exit 0; \
  174. exit 1;; \
  175. esac; \
  176. done; \
  177. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/testsuite/Makefile'; \
  178. cd $(top_srcdir) && \
  179. $(AUTOMAKE) --gnu src/testsuite/Makefile
  180. .PRECIOUS: Makefile
  181. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  182. @case '$?' in \
  183. *config.status*) \
  184. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  185. *) \
  186. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  187. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  188. esac;
  189. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  190. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  191. $(top_srcdir)/configure: $(am__configure_deps)
  192. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  193. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  194. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  195. uninstall-info-am:
  196. tags: TAGS
  197. TAGS:
  198. ctags: CTAGS
  199. CTAGS:
  200. check-TESTS: $(TESTS)
  201. @failed=0; all=0; xfail=0; xpass=0; skip=0; \
  202. srcdir=$(srcdir); export srcdir; \
  203. list='$(TESTS)'; \
  204. if test -n "$$list"; then \
  205. for tst in $$list; do \
  206. if test -f ./$$tst; then dir=./; \
  207. elif test -f $$tst; then dir=; \
  208. else dir="$(srcdir)/"; fi; \
  209. if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
  210. all=`expr $$all + 1`; \
  211. case " $(XFAIL_TESTS) " in \
  212. *" $$tst "*) \
  213. xpass=`expr $$xpass + 1`; \
  214. failed=`expr $$failed + 1`; \
  215. echo "XPASS: $$tst"; \
  216. ;; \
  217. *) \
  218. echo "PASS: $$tst"; \
  219. ;; \
  220. esac; \
  221. elif test $$? -ne 77; then \
  222. all=`expr $$all + 1`; \
  223. case " $(XFAIL_TESTS) " in \
  224. *" $$tst "*) \
  225. xfail=`expr $$xfail + 1`; \
  226. echo "XFAIL: $$tst"; \
  227. ;; \
  228. *) \
  229. failed=`expr $$failed + 1`; \
  230. echo "FAIL: $$tst"; \
  231. ;; \
  232. esac; \
  233. else \
  234. skip=`expr $$skip + 1`; \
  235. echo "SKIP: $$tst"; \
  236. fi; \
  237. done; \
  238. if test "$$failed" -eq 0; then \
  239. if test "$$xfail" -eq 0; then \
  240. banner="All $$all tests passed"; \
  241. else \
  242. banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
  243. fi; \
  244. else \
  245. if test "$$xpass" -eq 0; then \
  246. banner="$$failed of $$all tests failed"; \
  247. else \
  248. banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
  249. fi; \
  250. fi; \
  251. dashes="$$banner"; \
  252. skipped=""; \
  253. if test "$$skip" -ne 0; then \
  254. skipped="($$skip tests were not run)"; \
  255. test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
  256. dashes="$$skipped"; \
  257. fi; \
  258. report=""; \
  259. if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
  260. report="Please report to $(PACKAGE_BUGREPORT)"; \
  261. test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
  262. dashes="$$report"; \
  263. fi; \
  264. dashes=`echo "$$dashes" | sed s/./=/g`; \
  265. echo "$$dashes"; \
  266. echo "$$banner"; \
  267. test -z "$$skipped" || echo "$$skipped"; \
  268. test -z "$$report" || echo "$$report"; \
  269. echo "$$dashes"; \
  270. test "$$failed" -eq 0; \
  271. else :; fi
  272. distdir: $(DISTFILES)
  273. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  274. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  275. list='$(DISTFILES)'; for file in $$list; do \
  276. case $$file in \
  277. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  278. $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  279. esac; \
  280. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  281. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  282. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  283. dir="/$$dir"; \
  284. $(mkdir_p) "$(distdir)$$dir"; \
  285. else \
  286. dir=''; \
  287. fi; \
  288. if test -d $$d/$$file; then \
  289. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  290. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  291. fi; \
  292. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  293. else \
  294. test -f $(distdir)/$$file \
  295. || cp -p $$d/$$file $(distdir)/$$file \
  296. || exit 1; \
  297. fi; \
  298. done
  299. check-am: all-am
  300. $(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
  301. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  302. check: check-am
  303. all-am: Makefile
  304. installdirs:
  305. install: install-am
  306. install-exec: install-exec-am
  307. install-data: install-data-am
  308. uninstall: uninstall-am
  309. install-am: all-am
  310. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  311. installcheck: installcheck-am
  312. install-strip:
  313. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  314. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  315. `test -z '$(STRIP)' || \
  316. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  317. mostlyclean-generic:
  318. clean-generic:
  319. distclean-generic:
  320. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  321. maintainer-clean-generic:
  322. @echo "This command is intended for maintainers to use"
  323. @echo "it deletes files that may require special tools to rebuild."
  324. clean: clean-am
  325. clean-am: clean-generic clean-local mostlyclean-am
  326. distclean: distclean-am
  327. -rm -f Makefile
  328. distclean-am: clean-am distclean-generic
  329. dvi: dvi-am
  330. dvi-am:
  331. html: html-am
  332. info: info-am
  333. info-am:
  334. install-data-am:
  335. install-exec-am:
  336. install-info: install-info-am
  337. install-man:
  338. installcheck-am:
  339. maintainer-clean: maintainer-clean-am
  340. -rm -f Makefile
  341. maintainer-clean-am: distclean-am maintainer-clean-generic \
  342. maintainer-clean-local
  343. mostlyclean: mostlyclean-am
  344. mostlyclean-am: mostlyclean-generic
  345. pdf: pdf-am
  346. pdf-am:
  347. ps: ps-am
  348. ps-am:
  349. uninstall-am: uninstall-info-am
  350. .PHONY: all all-am check check-TESTS check-am clean clean-generic \
  351. clean-local distclean distclean-generic distdir dvi dvi-am \
  352. html html-am info info-am install install-am install-data \
  353. install-data-am install-exec install-exec-am install-info \
  354. install-info-am install-man install-strip installcheck \
  355. installcheck-am installdirs maintainer-clean \
  356. maintainer-clean-generic maintainer-clean-local mostlyclean \
  357. mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
  358. uninstall-info-am
  359. all:
  360. clean-local:
  361. rm -rf logs tests *-test ngircd-test.log ngircd-test.motd \
  362. T-ngircd procs.tmp
  363. maintainer-clean-local:
  364. rm -f Makefile Makefile.in
  365. ngircd-TEST-Binary:
  366. cp ../ngircd/ngircd T-ngircd
  367. [ -f getpid.sh ] || ln -s $(srcdir)/getpid.sh .
  368. connect-test: tests.sh
  369. rm -f connect-test
  370. ln -s $(srcdir)/tests.sh connect-test
  371. channel-test: tests.sh
  372. rm -f channel-test
  373. ln -s $(srcdir)/tests.sh channel-test
  374. who-test: tests.sh
  375. rm -f who-test
  376. ln -s $(srcdir)/tests.sh who-test
  377. misc-test: tests.sh
  378. rm -f misc-test
  379. ln -s $(srcdir)/tests.sh misc-test
  380. mode-test: tests.sh
  381. rm -f mode-test
  382. ln -s $(srcdir)/tests.sh mode-test
  383. # -eof-
  384. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  385. # Otherwise a system limit (for SysV at least) may be exceeded.
  386. .NOEXPORT: